org.apache.cassandra.cql3

## Enum Constants.Type

- java.lang.Object
- - java.lang.Enum<Constants.Type>
  - - org.apache.cassandra.cql3.Constants.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Constants.Type>

Enclosing class:
  Constants

    public static enum Constants.Type
    extends java.lang.Enum<Constants.Type>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BOOLEAN`
`DATE`
`FLOAT`
`HEX`
`INTEGER`
`STRING`
`TIME`
`UUID`

### Method Summary

All Methods Static Methods Concrete Methods
`static Constants.Type` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Constants.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### STRING

    public static final Constants.Type STRING

#### INTEGER

    public static final Constants.Type INTEGER

#### UUID

    public static final Constants.Type UUID

#### FLOAT

    public static final Constants.Type FLOAT

#### DATE

    public static final Constants.Type DATE

#### TIME

    public static final Constants.Type TIME

#### BOOLEAN

    public static final Constants.Type BOOLEAN

#### HEX

    public static final Constants.Type HEX

### Method Detail

#### values

    public static Constants.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Constants.Type c : Constants.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Constants.Type valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null